repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-merge-conflict
      - id: check-yaml
      - id: check-toml
      - id: check-json
      - id: end-of-file-fixer
      - id: mixed-line-ending
        args: [--fix=auto]
      - id: trailing-whitespace
        args: [--markdown-linebreak-ext=md]
      - id: check-added-large-files
        args: [--maxkb=1024]

  - repo: https://github.com/igorshubovych/markdownlint-cli
    rev: v0.48.0
    hooks:
      - id: markdownlint
        args: [--config, .markdownlintrc]

  - repo: https://github.com/streetsidesoftware/cspell-cli
    rev: v10.0.0
    hooks:
      - id: cspell
        args: [--no-summary, --no-progress, --config, .cspell.config.yaml]
        additional_dependencies:
          - "@cspell/dict-pt-br"
        types: [markdown]

  - repo: local
    hooks:
      - id: lychee
        name: lychee
        entry: lychee
        args: [--config, .lychee.toml, --root-dir, static, --no-progress]
        language: system
        types: [markdown]
